cURL
curl --request POST \
--url https://api.hyra.io/workspace/trello/{workspaceId}/actions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"name": "<string>",
"fields": [
{
"value": "<string>",
"after": 123,
"on": 123,
"grace": 123
}
],
"group": "<string>"
}
]
'import requests
url = "https://api.hyra.io/workspace/trello/{workspaceId}/actions"
payload = [
{
"name": "<string>",
"fields": [
{
"value": "<string>",
"after": 123,
"on": 123,
"grace": 123
}
],
"group": "<string>"
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
name: '<string>',
fields: [{value: '<string>', after: 123, on: 123, grace: 123}],
group: '<string>'
}
])
};
fetch('https://api.hyra.io/workspace/trello/{workspaceId}/actions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "<string>",
"triggers": [
{
"type": "<string>",
"name": "<string>",
"fields": [
{
"type": "<string>",
"value": "<string>",
"reset_type": "<string>",
"after": 123,
"on": 123,
"grace": 123
}
],
"group": "<string>"
}
],
"workspace": "<string>",
"created_by": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Trello Integration
Create Trello Action
Create a new action
POST
/
workspace
/
trello
/
{workspaceId}
/
actions
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
⌘I